Subject: bug#5817: "false" core util

From: Phillip Susi <[email-masked]>
Date: Thu, 1 Apr 2010 12:06:53 -0400

On 4/1/2010 7:49 AM, phoenix wrote:
> Hey guys,
> I've found a serious error in the program "false": If I pipe some text to it
> (e.g. echo "i lost the game" | false), it does not fail but rather returns a
> success. Any suggestions? I need this program very much for completing my
> thesis on Pseudo-Riemannian manifolds.
> It would very kind of you if you'd inform me when the error has been fixed.
> (Remark: I am using Ubuntu 9.10.)
> Best regards,
> Hajo Pei

You must be checking it wrong because on Ubuntu 9.10 here it correctly
returns an exit status of 1 for failure.